// ======================================================================
//
// pal_wu.cpp
// jeff grills
//
// copyright 1996 origin systems inc
//
// ======================================================================

#include "first.h"
#include "pal_wu.h"
#include "palette.h"
#include "gl_wu.h"
#include "clut.h"

// ======================================================================

PaletteMaterialData_wu::PaletteMaterialData_wu(const Palette *pal)
{
	GL_wu::makeClut(pal->getRGB(), pal->getEntries(), &mem, &clut);
}

// ----------------------------------------------------------------------

PaletteMaterialData_wu::~PaletteMaterialData_wu(void)
{
	delete [] mem;
	mem  = NULL;
	clut = NULL;
}

// ======================================================================
